"use strict";
const fs = require('node:fs')
const path = require('node:path')
const {SerialPortSimulator} = require('@cutos/drivers')
const config = require('../config.json')


class DeviceNFCSimulator extends SerialPortSimulator {
    constructor() {
        super(config);
    }

    getInfo() {
        let readme = fs.readFileSync(path.join(__dirname, 'README.md'), 'utf-8')
        return {readme}
    }
}

module.exports = {DeviceNFCSimulator};
